## org.freedesktop.ColorManager.Profile org.freedesktop.ColorManager.Profile — Profile interface |

## Methods

    SetProperty(in's'property_name,
    in's'property_value)
    InstallSystemWide()

## Signals

    Changed()

## Implemented Interfaces

Objects implementing org.freedesktop.ColorManager.Profile also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

    'ProfileId'read's'
    'Title'read's'
    'Metadata'read'a{ss}'
    'Qualifier'read's'
    'Format'read's'
    'Kind'read's'
    'Colorspace'read's'
    'HasVcgt'read'b'
    'IsSystemWide'read'b'
    'Filename'read's'
    'Created'read'x'
    'Scope'read's'
    'Owner'read'u'
    'Warnings'read'as'

## Description

The interface used for quering color profiles.

## Details

### SetProperty ()

    SetProperty (in's'property_name,
    in's'property_value)

Sets a property on the object.

`property_name`: | The property name, e.g. `Filename`, or `Qualifier`.
`property_value`: | The property value, e.g. `RGB.Plain.`.

### InstallSystemWide ()

    InstallSystemWide ()

Copies the profile system-wide so it can be used by all users on the system or when no users are logged-in.

## Signal Details

### The Changed signal

    Changed ()

Some value on the interface has changed.

## Property Details

### The "ProfileId" property

    'ProfileId'read's'

The identification hash of the profile.

### The "Title" property

    'Title'read's'

The printable title for the profile.

### The "Metadata" property

    'Metadata'read'a{ss}'

The metadata for the profile, which may include optional keys like `EDID_md5` and `EDID_manufacturer` that are set by several CMS frameworks.

### The "Qualifier" property

    'Qualifier'read's'

The qualifier for the profile. A qualifier is used as a way to select a profile for a device. This might be something free text like `High quality studio`doc:tt> or something more programmable like `RGB.Plain.300dpi`.

### The "Format" property

    'Format'read's'

The qualifier format for the profile.

### The "Kind" property

    'Kind'read's'

The profile kind, e.g. `colorspace-conversion`, `abstract` or `display-device`.

### The "Colorspace" property

    'Colorspace'read's'

The profile colorspace, e.g. `rgb`.

### The "HasVcgt" property

    'HasVcgt'read'b'

If the profile has a VCGT entry.

### The "IsSystemWide" property

    'IsSystemWide'read'b'

If the profile is installed system wide and available for all users.

### The "Filename" property

    'Filename'read's'

The profile filename, if one exists.

### The "Created" property

    'Created'read'x'

The date and time the profile was created in UNIX time.

NOTE: this is NOT the time the meta-profile was created, or added to colord, nor the disk timestamp for the profile filename. This is the encoded date and time inside the ICC filename.

### The "Scope" property

    'Scope'read's'

The scope of the device, e.g. `normal`, `temp` or `disk`.

### The "Owner" property

    'Owner'read'u'

The user ID of the account that created the profile.

### The "Warnings" property

    'Warnings'read'as'

Any warnings for the profile, e.g. '`description-missing`' or '`vcgt-non-monotonic`'.